AUPARSE_FIND_FIELD_NEXT(3)

NAME
auparse_find_field_next - find next occurrance of field name

SYNOPSIS
#include <auparse.h>

const char *auparse_find_field_next(auparse_state_t *au);

DESCRIPTION
auparse_find_field_next finds the next occurrance of the previously stored field name. It will scan until it reaches the last record of the current event.

RETURN VALUE
Returns NULL field not found. If an error occurs errno will be set. Otherwise, it returns a pointer to the text value associated with the field.

SEE ALSO
auparse_first_record(3), auparse_next_event(3), auparse_find_field(3).

AUTHOR
Steve Grubb